Can't update anymore because of libc-bin on OMV4

    • OMV 4.x
    • Resolved
    • Update
    • Can't update anymore because of libc-bin on OMV4

      Hello,

      I don't know why but I am getting this error which I can't solve. Maybe anyone has an idea and can help. Already try to reinstall libc-bin but this does not work as well.
      Please see the error log below

      Display Spoiler
      Reading package lists...
      Building dependency tree...
      Reading state information...
      Suggested packages:
      apparmor clamav-docs daemon libclamunrar7 snmp-mibs-downloader
      Recommended packages:
      clamav
      The following packages will be upgraded:
      clamav-base clamav-daemon clamav-freshclam clamdscan libclamav7 libsnmp-base
      libsnmp30 tzdata
      Preconfiguring packages ...
      8 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      1 not fully installed or removed.
      Need to get 0 B/5688 kB of archives.
      After this operation, 124 kB of additional disk space will be used.
      Setting up libc-bin (2.24-11+deb9u3) ...
      Illegal instruction
      Illegal instruction
      dpkg: error processing package libc-bin (--configure):
      subprocess installed post-installation script returned error exit status 132
      Errors were encountered while processing:
      libc-bin
      E: Sub-process /usr/bin/dpkg returned an error code (1)

      >>> *************** Error ***************
      Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --allow-downgrades --allow-change-held-packages --fix-broken --fix-missing --auto-remove --allow-unauthenticated --show-upgraded --option DPkg::Options::="--force-confold" install clamav-base clamav-daemon clamav-freshclam clamdscan libclamav7 libsnmp-base libsnmp30 tzdata 2>&1' with exit code '100': Reading package lists...


      Thanks in advance.
      4.1.12 (Arrakis)
    • Assuming your system is amd64, as root:

      wget http://ftp.us.debian.org/debian/pool/main/g/glibc/libc-bin_2.24-11+deb9u3_amd64.deb
      dpkg -i libc-bin_2.24-11+deb9u3_amd64.deb
      omv 4.1.14 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!